//
// copyscr.cpp
// Copyright (C) 2000 Thiago F. G. Albuquerque <tfga@zaz.com.br>
//
// Copies the entire DOS screen to the Windows clipboard.
//
// ---
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// (Please see the file license.txt for the full GNU GPL.)
//

#include <pc.h>
#include <libwin.h>
#include <string>
#include <iostream>

// (richdawe@bigfoot.com): For Standard C++, import std::*.
using namespace std;

/////////////////////////////////////////////////////////////////////////////

void get_txt(string &txt);
void copy_to_clipboard(string &str);

/////////////////////////////////////////////////////////////////////////////

int main(int argc, char *argv[])
{
 string txt;
 get_txt(txt);
 copy_to_clipboard(txt);

 return 0;
}

void copy_to_clipboard(string &str)
{
    win_clip_open();
    win_clip_empty();
    win_clip_setdata(CF_TEXT, const_cast<char *>(str.c_str()), str.size());
    win_clip_close();
}

void get_txt(string &txt)
{
 int WIDTH, HEIGHT,
     x, y, c;

 WIDTH = ScreenCols();
 HEIGHT = ScreenRows();

 txt.erase();
 txt.reserve(WIDTH * HEIGHT);

 for (y = 0; y < HEIGHT; y++)
 {
    for (x = 0; x < WIDTH; x++)
    {
       ScreenGetChar(&c, NULL, x, y);
       txt += c;
    }
    txt += "\r\n";
 }
}

