/*

    titltest.c

    Copyright 1997-1999 by Richard Dawe



    Demonstration of libwin's DOS box title functions.



    ---



    This program is free software; you can redistribute it and/or modify

    it under the terms of the GNU General Public License as published by

    the Free Software Foundation; either version 2 of the License, or

    (at your option) any later version.



    This program is distributed in the hope that it will be useful,

    but WITHOUT ANY WARRANTY; without even the implied warranty of

    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

    GNU General Public License for more details.



    You should have received a copy of the GNU General Public License

    along with this program; if not, write to the Free Software

    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/



/* Include files */

#include <conio.h>

#include <stdio.h>

#include <stdlib.h>

#include <unistd.h>



#include <libwin.h>



int main (void)

{

    char saved_vmtitle[80], saved_apptitle[80];

    char apptitle[80];



    /* Save the titles for later restoration */

    if (   !w95_getvmtitle(saved_vmtitle, sizeof(saved_vmtitle))

        || !w95_getapptitle(saved_apptitle, sizeof(saved_apptitle)) ) {

        printf("Error: Unable to save VM or application title!\n");

	exit(EXIT_FAILURE);

    }



    sleep(1);

    printf("Setting VM title = %i\n", w95_setvmtitle("Woohaa!"));

    printf("w95_getapptitle = %i\n", w95_getapptitle(apptitle, sizeof(apptitle)));

    printf("Current app title = %s\n", apptitle);

    printf("w95_getvmtitle = %i\n", w95_getvmtitle(apptitle, sizeof(apptitle)));

    printf("Current VM title = %s\n", apptitle);

    printf("Setting app title = %i\n", w95_setapptitle("Hmm, interesting"));

    printf("w95_getapptitle = %i\n", w95_getapptitle(apptitle, sizeof(apptitle)));

    printf("Current app title = %s\n", apptitle);

    printf("w95_getvmtitle = %i\n", w95_getvmtitle(apptitle, sizeof(apptitle)));

    printf("Current VM title = %s\n", apptitle);

    sleep(3);



    while (getch() == 0) {;}



    w95_setvmtitle(saved_vmtitle);

    w95_setapptitle(saved_apptitle);

    return(EXIT_SUCCESS);

}

