/*
    libwin.h
    Copyright (C) 1997, 1998 by Richard Dawe

    libwin main include file - part of libwin :)

    ---

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Richard Dawe can be contacted via e-mail at rd5718@bristol.ac.uk.
*/

#ifndef __LIBWIN_H__
#define __LIBWIN_H__

/* Windows definitions */
#include <libwin/wintype.h>

/* Main includes */
#include <libwin/clip.h>        /* Clipboard functionality  */
#include <libwin/close.h>       /* Close-awareness functions*/
#include <libwin/init.h>        /* Initialisation functions */
#include <libwin/lfn.h>         /* Long filename            */
#include <libwin/registry.h>    /* Registry access          */
#include <libwin/title.h>       /* VMM & window titles      */
#include <libwin/user.h>        /* User info                */
#include <libwin/version.h>     /* Windows version          */
#include <libwin/vxd.h>         /* VxD functions            */

#endif  /* __LIBWIN_H__ */
