/*
    clip.h
    Copyright (C) 1997-1999 by Richard Dawe

    Clipboard functions - part of libwin

    ---

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __LIBWIN_CLIP_H__
#define __LIBWIN_CLIP_H__

#ifdef __cplusplus
extern "C" {
#endif

/* WinOldAp clipboard formats - same as Windows include files */
#define CF_TEXT             0x01
#define CF_BITMAP           0x02
#define CF_METAFILEPICT     0x03
#define CF_SYLK             0x04
#define CF_DIF              0x05
#define CF_TIFF             0x06
#define CF_OEMTEXT          0x07
#define CF_DIB              0x08
#define CF_SPECIAL          0x80    /* (except this one) */
#define CF_DSPTEXT          0x81
#define CF_DSPBITMAP        0x82
#define CF_RIFF               11
#define CF_WAVE               12

/* Clipboard return codes */
#define CLIP_OPENED         0
#define CLIP_OPENED_ALREADY 1

/* Function declarations - for others see libwin/clip.h */
int  win_clip_open (void);
int  win_clip_close (void);
int  win_clip_empty (void);
long win_clip_getsize (int format);
int  win_clip_getdata (int format, char *buffer, long buffer_size);
int  win_clip_setdata (int format, char *buffer, long buffer_size);
int  win_clip_compact (int size);

#ifdef __cplusplus
}
#endif

#endif  /* __LIBWIN_CLIP_H__ */
