/*
    lfn.h
    Copyright (C) 1997-1999 by Richard Dawe

    Long filename functions - part of libwin

    ---

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* Inclusion check */
#ifndef __LIBWIN_LFN_H__
#define __LIBWIN_LFN_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Other include files */
#include <dir.h>    /* Some useful constants like MAXPATH */

/* Function prototypes */
int issfnchar (int c);
int islfnchar (int c);
int w95_lfntosfn (const char *lfn, char *sfn);

/* Do this using DJGPP-style LFN function names too */
#ifndef _lfn_get_short_fname
#define _lfn_get_short_fname w95_lfntosfn
#endif

#ifdef __cplusplus
}
#endif

/* End inclusion check */
#endif  /* __LIBWIN_LFN_H__ */
