/*
    version.h
    Copyright (C) 1997-2002 by Richard Dawe

    Version functions - part of libwin

    ---

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __LIBWIN_VERSION_H__
#define __LIBWIN_VERSION_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Function declarations */
int win_getversion (int *major, int *minor, int *mode);
int win_getos (void);
int win_present (void);
int win_winoldap_getversion (int *major, int *minor, int *clip);

/* Different Windows modes */
#define WINMODE_REAL        0x0001  /* Speculative: real mode?  */
#define WINMODE_STANDARD    0x0002  /* Standard mode            */
#define WINMODE_ENHANCED    0x0003  /* Enhanced mode            */

/* Windows OSs */
#define OS_UNKNOWN      0
#define OS_WIN1         0x1000
#define OS_WIN2         0x2000
#define OS_WIN30        0x3000
#define OS_WIN31        0x3001
#define OS_WIN311       0x300B
#define OS_WIN95        0x4000
#define OS_WINNT31      0x5001
#define OS_WINNT35      0x5005
#define OS_WINNT40      0x6000

#ifdef __cplusplus
}
#endif

#endif  /* __LIBWIN_VERSION_H__ */
