/*
    vxd.h
    Copyright (C) 1997-1999 by Richard Dawe

    VxD functions - part of libwin

    ---

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __LIBWIN_VXD_H__
#define __LIBWIN_VXD_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <dos.h>        /* REGS, SREGS used in function def */

/* VxD IDs */
extern int VXDID_NULL;
extern int VXDID_VMM;
extern int VXDID_VPICD;
extern int VXDID_VTD;
extern int VXDID_V86MMGR;
extern int VXDID_VDD;
extern int VXDID_VMD;
extern int VXDID_VKD;
extern int VXDID_VCD;
extern int VXDID_VPD;
extern int VXDID_VMCPD;
extern int VXDID_DOSMGR;
extern int VXDID_SHELL;
extern int VXDID_VNETWARE;
extern int VXDID_VPOWERD;
extern int VXDID_VXDLDR;
extern int VXDID_NDIS;
extern int VXDID_BIOS;
extern int VXDID_WSOCK;
extern int VXDID_WSIPX;
extern int VXDID_VJOYD;
extern int VXDID_VSHARE;
extern int VXDID_VFAT;
extern int VXDID_VCACHE;
extern int VXDID_NWREDIR;
extern int VXDID_PPPMAC;
extern int VXDID_VDHCP;

/* --- VxD names --- */
extern char *VXDNAME_VPICD[];
extern char *VXDNAME_VXDLDR[];
extern char *VXDNAME_WSOCK[];
extern char *VXDNAME_WSIPX[];
extern char *VXDNAME_VJOYD[];
extern char *VXDNAME_PPPMAC[];
extern char *VXDNAME_VDHCP[];

/* Function declarations */
int win_vxd_load (char Device[]);
int win_vxd_unload (char Device[]);
int win_vxd_getentry (int *Entry, int ID);
int win_vxd_getentrybyid (int *Entry, int ID);
int win_vxd_getentrybyname (int *Entry, char *name);
int win_vxd_call (int *vxd_entry, union REGS *r, struct SREGS *sr);

#ifdef __cplusplus
}
#endif

#endif  /* __LIBWIN_VXD_H__ */
